Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000703Dwarf FortressDwarf Mode -- Jobs, Childcarepublic2010-04-07 03:152014-09-01 04:21
ReporterKristian 
Assigned ToDwarfu 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version0.31.01 
Target VersionFixed in Version 
Summary0000703: Chained mother "cancels seek infant" until death from dehydration, and other imprisonment issues
DescriptionPoor Rovod the surgeon, happily married and mother of a lovely dwarven baby, was framed by the evil mayor for "violation of production order" and sentenced to 101 days of imprisonment. She was taken to the jail and chained there. She then commenced trying to nurse her baby, which was sadly left lying somewhere, abandoned. The order was canceled, but she persisted trying to reach her infant to the exclusion of all else, including drinking and eating, although there was plenty to be had in the jail. She consequently died from dehydration.

This must be considered a case of bad job priority. Seeing how violations of production orders may hit just about anyone, this could be bad for a fort, although I suppose it's not a problem all that often.
Steps To Reproduce1. Wait until a mother of an infant is jailed for whatever reason.
2. She will seek her infant and cancel the order, until she dies or is released.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002999new Goblin shoots ineffectually at caged (berserk) elf diplomat 
related to 0000094confirmedToady One Injured dwarves not recovered, ignored by doctors, and/or don't get food/water 
parent of 0001521new Soldier on duty while in prison 
parent of 0002479resolvedToady One Imprisoned dwarf "cancels Store Owned Item: Item inaccessible" about once/day 
parent of 0000402resolvedToady One Prisoners cancel their jobs incorrectly when chained, removing them from workshop 
parent of 0002606resolvedToady One prisoner died of dehydration, plenty of water, labor. 
parent of 0002718new Chained dwarf hauling item refuses to drop it, preventing him from interacting with other objects. 
parent of 0002910confirmedKnight Otu Mayor tries to Conduct Meeting with chained prisoner in wrong place 
parent of 0002919resolvedDwarfu Doctor stuck trying to treat caged patient, who dies of thirst 
has duplicate 0002269resolvedLogical2u Dwarf in Prison floods announcements "seeking infant" 
has duplicate 0003202resolvedLogical2u Imprisoned parent dwarf spams log with cancellation messages 
has duplicate 0004875resolvedKnight Otu Imprisoned mothers cannot reach their infants: message spam 
has duplicate 0007372resolvedKnight Otu Imprisoned parents seek inaccessible children, causing job-cancel-spam 
related to 0002542resolvedFootkerchief 2 prisoners, one of those is ignored by feeding/give water and dies of dehydration 
related to 0005545resolvedFootkerchief Hammerer cancels punishment - Prisoner starves 
related to 0001842new Apparently babies aren't cared for when mothers are in hospital 
related to 0005436new Beaten criminal keeps job designation, doesn't move on 
related to 0006406new Criminal sentenced to jail followed by hammerstrikes, hammerer does repeated cage/uncage 
related to 0005645acknowledgedDwarfu Outpost liaison stuck on a jailed mayor 
related to 0000765new Parents spam cancellation messages when babies are outside burrow 
related to 0010156new Injured dwarf constantly seeks infant, cannot receive medical help 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0001795)
FishofMuu (reporter)
2010-04-07 10:54

This almost seems like INABIAF to me.
(0003005)
Kristian (reporter)
2010-04-12 02:26

Probably true, but not a very nice feature, if so.

This sad story did not end with the death of the mother, however. Some months after her demise, her baby, neglected by all the dwarves of the fortress, also died from dehydration. This was the last drop for the father, who in a fit of rage left his smelter and ran to the dormitory where the mayor lay sleeping. He assaulted her with his bare hands and teeth, until the hastily summoned militia put him down in a pool of blood and gore, as these things tend to end. The dwarves then continued going about their business, dragging the blood all over the fortress on their boots, staining the entire place a fittingly gruesome crimson.

At the very least, someone should try to look after the baby in the mother's absence, to avoid this kind of misery. Say the father, for instance.
(0003008)
derigo (reporter)
2010-04-12 02:45

The laws of dwarven childcare clearly state that if the mother is horribly killed for whatever reason, the infant shall be left to fend for himself among the kittens. As a dwarven father, it is his solemn duty to do nothing to aid the child in his plight. Especially not, like, give him anything to eat or drink. This helps ensure all dwarves grow up to be alcoholics.
(0009290)
Passive Fist (reporter)
2010-06-28 23:00

I have also experienced this bug. Not only did it result in the death of two dwarfs but it spammed my log history until I turned off job cancellation reporting.
(0012606)
ra2phoenix (reporter)
2010-09-12 21:04

Also got this issue with an imprisoned dwarf mother. The child wasn't totally newborn but it was still an infant. I guess they took it away when she got chained up..

See log:

Deduk Itebathel, Administrator has ended a mandate.
Deduk Itebathel, Administrator has mandated the construction of certain goods.
Erush Idokol, Smith cancels Store Item in Bag: Seeking Infant.
Erush Idokol, Smith cancels Store Item in Bag: Seeking Infant.
Erush Idokol, Smith cancels Seek Infant: Infant inaccessible.

Commence spam..
(0012887)
Kipi (reporter)
2010-09-22 08:33

Have this problem as well.
I also noticed that FPS dropped significaly when the mother chained, perhaps due the spamming of job cancelations. I don't have any hard data about how much it dropped since I didn't have FPS meter on, but the game was pretty fast (around 100+ FPS I would estimate) and now the game is literally crawling. Nothing else special had happened when the drop happened.
(0018276)
zahlman (reporter)
2011-07-17 12:04

1) Confirmed in 0.31.25.

2) Happens *even if the infant in question was already deceased at the time imprisonment began*.
(0022160)
Patroclus (reporter)
2012-04-08 10:27

The solution is to deconstruct the chain that the mother is locked up with, and have no other chains available for justice. The mother will go grab her baby, and then take care of her own hunger/thirst. The guardsmen will then issue her a beating for not being in prison, but as long as she survives that, then both mother and baby will be fine.

More importantly, this stops the "seeking infant" spam.
(0029852)
Dame de la Licorne (reporter)
2014-09-01 04:21

Confirming that this is still present in .40.10.

- Issue History
Date Modified Username Field Change
2010-04-07 03:15 Kristian New Issue
2010-04-07 10:54 FishofMuu Note Added: 0001795
2010-04-12 02:26 Kristian Note Added: 0003005
2010-04-12 02:45 derigo Note Added: 0003008
2010-04-25 10:05 Footkerchief Relationship added related to 0001521
2010-06-10 19:09 Logical2u Relationship added has duplicate 0002269
2010-06-25 07:00 Footkerchief Relationship added related to 0002468
2010-06-27 19:52 Footkerchief Relationship replaced parent of 0001521
2010-06-27 19:52 Footkerchief Relationship replaced parent of 0002468
2010-06-27 19:52 Footkerchief Relationship added parent of 0002479
2010-06-28 23:00 Passive Fist Note Added: 0009290
2010-06-30 13:27 Footkerchief Relationship added parent of 0000402
2010-07-02 07:04 Footkerchief Relationship added related to 0002542
2010-07-12 10:46 Footkerchief Relationship added parent of 0002606
2010-07-16 11:28 Footkerchief Relationship added parent of 0002718
2010-07-16 11:28 Footkerchief Summary Chained mother seeks infant, cancels due to being chained, until death from dehydration => Chained mother "cancels seek infant" until death from dehydration, and other imprisonment issues
2010-07-16 11:28 Footkerchief Sticky Issue No => Yes
2010-07-31 13:47 Footkerchief Relationship added parent of 0002910
2010-08-02 12:51 Footkerchief Relationship added parent of 0002919
2010-09-11 08:31 Logical2u Relationship added has duplicate 0003202
2010-09-12 21:04 ra2phoenix Note Added: 0012606
2010-09-15 06:07 HebaruSan Issue Monitored: HebaruSan
2010-09-22 08:33 Kipi Note Added: 0012887
2010-09-22 08:50 Kipi Issue Monitored: Kipi
2011-03-02 09:50 Footkerchief Relationship added related to 0002999
2011-07-17 12:04 zahlman Note Added: 0018276
2011-07-22 17:02 Vherid Issue Monitored: Vherid
2011-09-03 14:36 Knight Otu Relationship added has duplicate 0004875
2012-03-05 08:37 Footkerchief Relationship added related to 0005545
2012-03-05 08:40 Footkerchief Relationship added related to 0000094
2012-03-05 08:56 Footkerchief Relationship added related to 0001842
2012-03-05 09:01 Footkerchief Relationship added related to 0005436
2012-03-27 03:51 Steb Issue Monitored: Steb
2012-04-08 10:17 Footkerchief Relationship added related to 0005791
2012-04-08 10:27 Patroclus Note Added: 0022160
2012-05-01 11:37 Footkerchief Relationship deleted related to 0005791
2014-01-13 09:35 Footkerchief Relationship added related to 0006406
2014-01-22 11:38 Footkerchief Relationship added related to 0005645
2014-01-27 20:53 Footkerchief Relationship deleted parent of 0002468
2014-01-27 20:54 Footkerchief Relationship added related to 0000765
2014-07-16 03:01 Knight Otu Relationship added has duplicate 0007372
2014-08-09 11:06 Dwarfu Assigned To => Dwarfu
2014-08-09 11:06 Dwarfu Status new => confirmed
2014-09-01 04:21 Dame de la Licorne Note Added: 0029852
2017-03-10 15:58 Footkerchief Relationship added related to 0010156


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker